Docs

Languages, performance tiers, regions, and the default voice

GEThttps://server.heyrik.com/api/v1/voice-options

Headers

AuthorizationstringRequired

Use Bearer $HEYRIK_API_KEY with an account-scoped API key. Keep the key on your server.

Get your API key
GET/voice-options
curl https://server.heyrik.com/api/v1/voice-options \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
Response example
{
  "data": {
    "languages": [
      { "code": "en-IN", "label": "English (India)" },
      { "code": "hi-IN", "label": "Hindi" }
    ],
    "llm_models": [
      { "provider": "heyrik", "model": "standard", "label": "Standard - fastest (Mumbai)", "global_only": false },
      { "provider": "heyrik", "model": "economy", "label": "Economy - lowest cost (global only)", "global_only": true }
    ],
    "llm_regions": [
      { "value": "", "label": "Automatic (recommended)" },
      { "value": "asia-south1", "label": "Mumbai (asia-south1)" }
    ],
    "voice_engine": "Astra v1",
    "default_voice": { "id": "vx_950e0089813d", "name": "Indira" }
  }
}

Illustrative examples · No live request is sent

Docs

Build sophisticated voice experiences with HeyRik.

© 2026 HeyRik · Support